MemoryInputStream (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.util
Class MemoryInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.cassandra.io.util.AbstractDataInput
              org.apache.cassandra.io.util.MemoryInputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.DataInput

    public class MemoryInputStream

extends AbstractDataInput

Constructor Summary
`MemoryInputStream(FreeableMemory mem)`

Method Summary
`void` | `close()`
`protected int` | `getPosition()`
`int` | `read()`
`protected void` | `seekInternal(int pos)`
`int` | `skipBytes(int n)`

Methods inherited from class org.apache.cassandra.io.util.AbstractDataInput
`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryInputStream

    public MemoryInputStream(FreeableMemory mem)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### seekInternal

    protected void seekInternal(int pos)

  Specified by:
    `seekInternal` in class `AbstractDataInput`

### getPosition

    protected int getPosition()

  Specified by:
    `getPosition` in class `AbstractDataInput`

### skipBytes

    public int skipBytes(int n)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation